# miom.space homepage

This is the repository containing the code for https://miom.space.

It is built using [lume](https://lume.land/) with JSX. To get started, make sure
you have the [nix package manager](https://nixos.org/download.html) installed.
Then you can start developing with:

```
nix develop
```

This will use a [nix devshell](https://nix.dev/tutorials/first-steps/ad-hoc-shell-environments#ad-hoc-envs)
to create an environment that has [deno](https://deno.land/) and [lume](https://lume.land/)
available.

An alternative approach for loading all dependencies is [`direnv`](https://direnv.net).
It basically runs `nix develop` for you, once you enter a directory which
contains a `.envrc` file and allow it by running `direnv allow`. Once installed
globally, run:

```
direnv allow
```

Just build the static site, results are in `_site`:

```
deno task build
```

To get a live development server, run:

```
deno task serve
```
